Subject: bug#50489: vc-annotate doesn't keep the current line

From: Daniel Martín <[email-masked]>
Date: Mon, 13 Sep 2021 20:19:11 +0200

Juri Linkov <[email-masked]> writes:

> After 'C-x v g' (vc-annotate), typing 'a' (vc-annotate-revision-previous-to-line)
> doesn't keep the current line.  For VC archaeology there is a need to traverse
> the history of the current line by typing a sequence of 'a a a ...'
> But 'a' doesn't keep the line current, so need to spend time
> finding the same line in the buffer to be able to type 'a' on it again.

I think `git blame` provides a --porcelain option that helps track lines
accross revisions.  I expect that using that information would be an
improvement over the current behavior, but the solution won't be perfect
and in some situations it'll still go to a strange line.  Also, I don't
know if this feature is available in other non-git vc backends.